NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Assemblies.ComponentAssembly Member List

This is the complete list of members for NXOpen.Assemblies.ComponentAssembly, including all inherited members.

ActiveArrangementNXOpen.Assemblies.ComponentAssembly
AddComponent(string partToAdd, string referenceSetName, string componentName, NXOpen.Point3d basePoint, NXOpen.Matrix3x3 orientation, int layer, out NXOpen.PartLoadStatus loadStatus)NXOpen.Assemblies.ComponentAssemblyinline
AddComponent(string partToAdd, string referenceSetName, string componentName, NXOpen.Point3d basePoint, NXOpen.Matrix3x3 orientation, int layer, out NXOpen.PartLoadStatus loadStatus, bool uomAsNgc)NXOpen.Assemblies.ComponentAssemblyinline
AddComponent(NXOpen.BasePart partToAdd, string referenceSetName, string componentName, NXOpen.Point3d basePoint, NXOpen.Matrix3x3 orientation, int layer, out NXOpen.PartLoadStatus loadStatus)NXOpen.Assemblies.ComponentAssemblyinline
AddComponents(NXOpen.Part[] partsToAdd, NXOpen.Point3d point, NXOpen.Matrix3x3 orientation, int layer, string referenceSetName, int count, bool scatter, out NXOpen.Assemblies.Component[] components)NXOpen.Assemblies.ComponentAssemblyinline
AddMasterPartComponent(string partToAdd, string referenceSetName, string componentName, NXOpen.Point3d basePoint, NXOpen.Matrix3x3 orientation, int layer, out NXOpen.PartLoadStatus loadStatus)NXOpen.Assemblies.ComponentAssemblyinline
AddMasterPartComponent(NXOpen.Part partToAdd, string referenceSetName, string componentName, NXOpen.Point3d basePoint, NXOpen.Matrix3x3 orientation, int layer, out NXOpen.PartLoadStatus loadStatus)NXOpen.Assemblies.ComponentAssemblyinline
AddPendingComponent(string partToAdd, NXOpen.NXObject pendingComponent, string referenceSetName, string componentName, NXOpen.Point3d basePoint, NXOpen.Matrix3x3 orientation, int layer, bool uomAsNgc)NXOpen.Assemblies.ComponentAssemblyinline
ArrangementsNXOpen.Assemblies.ComponentAssembly
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
AttributeType enum nameNXOpen.NXObject
ChangeByName(string name, NXOpen.Assemblies.Component[] partOccs)NXOpen.Assemblies.ComponentAssemblyinline
CheckinCheckoutOption enum nameNXOpen.Assemblies.ComponentAssembly
CheckinComponents(NXOpen.Assemblies.Component[] partOccs, NXOpen.Assemblies.ComponentAssembly.CheckinCheckoutOption checkinInputOption)NXOpen.Assemblies.ComponentAssemblyinline
CheckinWorkset()NXOpen.Assemblies.ComponentAssemblyinline
CheckoutAllModifiedObjects(out NXOpen.NXObject[] checkedOutObjects)NXOpen.Assemblies.ComponentAssemblyinline
CheckoutComponents(NXOpen.Assemblies.Component[] partOccs, NXOpen.Assemblies.ComponentAssembly.CheckinCheckoutOption checkoutInputOption)NXOpen.Assemblies.ComponentAssemblyinline
CheckoutWorkset()NXOpen.Assemblies.ComponentAssemblyinline
ClearanceSetsNXOpen.Assemblies.ComponentAssembly
CloseComponents(NXOpen.Assemblies.Component[] componentsToClose, NXOpen.BasePart.CloseWholeTree wholeTree, NXOpen.Assemblies.ComponentAssembly.CloseModified closeModified)NXOpen.Assemblies.ComponentAssemblyinline
CloseModified enum nameNXOpen.Assemblies.ComponentAssembly
ComponentPatternsNXOpen.Assemblies.ComponentAssembly
ConvertRememberedMcs()NXOpen.Assemblies.ComponentAssemblyinline
CopyComponents(NXOpen.Assemblies.Component[] components)NXOpen.Assemblies.ComponentAssemblyinline
CreateAttributeIterator()NXOpen.NXObjectinline
CreateComponentPatternBuilder(NXOpen.Assemblies.ComponentPattern compPattern)NXOpen.Assemblies.ComponentAssemblyinline
CreateConstraintGroupBuilder(NXOpen.Positioning.ComponentConstraintGroup group, NXOpen.Assemblies.Component contextComponent)NXOpen.Assemblies.ComponentAssemblyinline
CreateIsolateViewWithComponents(NXOpen.Assemblies.Component[] components, out NXOpen.View view)NXOpen.Assemblies.ComponentAssemblyinline
CreateMatingConverter()NXOpen.Assemblies.ComponentAssemblyinline
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObjectinline
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObjectinline
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObjectinline
DeleteMatingConditions()NXOpen.Assemblies.ComponentAssemblyinline
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObjectinline
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObjectinline
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObjectinline
DrawingExplosionsNXOpen.Assemblies.ComponentAssembly
ExplosionsNXOpen.Assemblies.ComponentAssembly
FindObject(string journalIdentifier)NXOpen.NXObjectinline
GetActiveOrder()NXOpen.Assemblies.ComponentAssemblyinline
GetAsRequiredQuantity(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetBooleanUserAttribute(string title, int index)NXOpen.NXObjectinline
GetCheckedoutStatusOfObjects(out NXOpen.NXObject[] checkedOutObjects, out NXOpen.NXObject[] uncheckedOutObjects)NXOpen.Assemblies.ComponentAssemblyinline
GetComponentOrders(out NXOpen.Assemblies.ComponentOrder[] orders)NXOpen.Assemblies.ComponentAssemblyinline
GetComponentQuantityType(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObjectinline
GetIntegerAttribute(string title)NXOpen.NXObjectinline
GetIntegerQuantity(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
GetIntegerUserAttribute(string title, int index)NXOpen.NXObjectinline
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObjectinline
GetNonGeometricState(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObjectinline
GetRealAttribute(string title)NXOpen.NXObjectinline
GetRealQuantity(NXOpen.Assemblies.Component component, out string units)NXOpen.Assemblies.ComponentAssemblyinline
GetRealUserAttribute(string title, int index)NXOpen.NXObjectinline
GetReferenceAttribute(string title)NXOpen.NXObjectinline
GetStringAttribute(string title)NXOpen.NXObjectinline
GetStringUserAttribute(string title, int index)NXOpen.NXObjectinline
GetSuppressedState(NXOpen.Assemblies.Component component, out bool controlled)NXOpen.Assemblies.ComponentAssemblyinline
GetSuppressedState(NXOpen.Assemblies.Component component, NXOpen.Assemblies.Arrangement arrangement, out bool controlled)NXOpen.Assemblies.ComponentAssemblyinline
GetSuppressionExpression(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
GetSuppressionExpression(NXOpen.Assemblies.Component component, NXOpen.Assemblies.Arrangement arrangement)NXOpen.Assemblies.ComponentAssemblyinline
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObjectinline
GetTimeUserAttribute(string title, int index)NXOpen.NXObjectinline
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObjectinline
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObjectinline
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObjectinline
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObjectinline
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObjectinline
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObjectinline
GetUserAttributes()NXOpen.NXObjectinline
GetUserAttributes(bool includeUnset)NXOpen.NXObjectinline
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObjectinline
GetUserAttributesAsStrings()NXOpen.NXObjectinline
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObjectinline
GetUserAttributeSourceObjects()NXOpen.NXObjectinline
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObjectinline
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObjectinline
HideComponentsInIsolateView(NXOpen.Assemblies.Component[] components, out NXOpen.View view)NXOpen.Assemblies.ComponentAssemblyinline
InsertProduct(NXOpen.Part productPart, int layer, out NXOpen.PartLoadStatus loadStatus)NXOpen.Assemblies.ComponentAssemblyinline
IsOccurrenceNXOpen.NXObject
JournalIdentifierNXOpen.NXObject
MapComponentFromParent(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
MapComponentsFromSubassembly(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
MoveComponent(NXOpen.Assemblies.Component component, NXOpen.Vector3d translation, NXOpen.Matrix3x3 rotation)NXOpen.Assemblies.ComponentAssemblyinline
MoveToPendingComponent(NXOpen.NXObject component)NXOpen.Assemblies.ComponentAssemblyinline
NameNXOpen.NXObject
NextSinkNXOpen.Utilities.NXRemotableObject
OpenComponents(NXOpen.Assemblies.ComponentAssembly.OpenOption openOption, NXOpen.Assemblies.Component[] componentsToOpen, out NXOpen.Assemblies.ComponentAssembly.OpenComponentStatus[] openStatus)NXOpen.Assemblies.ComponentAssemblyinline
OpenComponentStatus enum nameNXOpen.Assemblies.ComponentAssembly
OpenOption enum nameNXOpen.Assemblies.ComponentAssembly
OrdersSetNXOpen.Assemblies.ComponentAssembly
OrderTargetLocation enum nameNXOpen.Assemblies.ComponentAssembly
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
PositionerNXOpen.Assemblies.ComponentAssembly
Print()NXOpen.NXObjectinline
PrintTestData(String variableName)NXOpen.TaggedObjectinline
PrintTestData(String variableName, int lineNumber)NXOpen.TaggedObjectinline
PrototypeNXOpen.NXObject
ReleaseSuppression(NXOpen.Assemblies.Component[] components, NXOpen.Assemblies.Arrangement[] arrangements)NXOpen.Assemblies.ComponentAssemblyinline
ReleaseSuppression(NXOpen.Assemblies.Component[] components)NXOpen.Assemblies.ComponentAssemblyinline
RemoveComponent(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
ReorderChildrenOfParent(NXOpen.Assemblies.ComponentOrder order, NXOpen.Assemblies.Component parentComponent, NXOpen.Assemblies.Component[] componentsToReorder)NXOpen.Assemblies.ComponentAssemblyinline
ReorderComponents(NXOpen.Assemblies.ComponentOrder order, NXOpen.Assemblies.Component[] componentsToReorder, NXOpen.Assemblies.Component targetComponent, NXOpen.Assemblies.ComponentAssembly.OrderTargetLocation beforeOrAfter)NXOpen.Assemblies.ComponentAssemblyinline
ReplaceReferenceSet(NXOpen.Assemblies.Component component, string newReferenceSet)NXOpen.Assemblies.ComponentAssemblyinline
ReplaceReferenceSetInOwners(string newReferenceSet, NXOpen.Assemblies.Component[] components)NXOpen.Assemblies.ComponentAssemblyinline
RestructureComponents(NXOpen.Assemblies.Component[] origComponents, NXOpen.Assemblies.Component newParentComponent, bool deleteFlag, out NXOpen.Assemblies.Component[] newComponents, out NXOpen.ErrorList errorList)NXOpen.Assemblies.ComponentAssemblyinline
RootComponentNXOpen.Assemblies.ComponentAssembly
SetAsRequiredQuantity(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
SetAttribute(string title, int value)NXOpen.NXObjectinline
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetAttribute(string title, double value)NXOpen.NXObjectinline
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetAttribute(string title, string value)NXOpen.NXObjectinline
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetAttribute(string title)NXOpen.NXObjectinline
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetDefault(NXOpen.Assemblies.Arrangement arrangement)NXOpen.Assemblies.ComponentAssemblyinline
SetEmptyRefset(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
SetEntirePartRefset(NXOpen.Assemblies.Component component)NXOpen.Assemblies.ComponentAssemblyinline
SetIntegerQuantity(NXOpen.Assemblies.Component component, int integerQuantity)NXOpen.Assemblies.ComponentAssemblyinline
SetName(string name)NXOpen.NXObjectinline
SetNonGeometricState(NXOpen.Assemblies.Component component, bool nonGeometricState)NXOpen.Assemblies.ComponentAssemblyinline
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObjectinline
SetRealQuantity(NXOpen.Assemblies.Component component, double realQuantity, string quantityUnits)NXOpen.Assemblies.ComponentAssemblyinline
SetReferenceAttribute(string title, string value)NXOpen.NXObjectinline
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetTimeAttribute(string title, string value)NXOpen.NXObjectinline
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObjectinline
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObjectinline
ShowComponentsInIsolateView(NXOpen.Assemblies.Component[] components, out NXOpen.View view)NXOpen.Assemblies.ComponentAssemblyinline
SubsetsNXOpen.Assemblies.ComponentAssembly
SubstituteComponent(NXOpen.Assemblies.Component component, NXOpen.BasePart part, string newName, string referenceSet, int layer, NXOpen.Assemblies.ComponentAssembly.SubstitutionMode mode)NXOpen.Assemblies.ComponentAssemblyinline
SubstitutionMode enum nameNXOpen.Assemblies.ComponentAssembly
SuppressComponents(NXOpen.Assemblies.Component[] components, NXOpen.Assemblies.Arrangement[] arrangements)NXOpen.Assemblies.ComponentAssemblyinline
SuppressComponents(NXOpen.Assemblies.Component[] components)NXOpen.Assemblies.ComponentAssemblyinline
SuppressComponents(NXOpen.Assemblies.Component[] components, NXOpen.Assemblies.Arrangement[] arrangements, string expression)NXOpen.Assemblies.ComponentAssemblyinline
SuppressedState enum nameNXOpen.Assemblies.ComponentAssembly
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.TaggedObject
ToString()NXOpen.TaggedObjectinline
UnsuppressComponents(NXOpen.Assemblies.Component[] components, NXOpen.Assemblies.Arrangement[] arrangements)NXOpen.Assemblies.ComponentAssemblyinline
UnsuppressComponents(NXOpen.Assemblies.Component[] components)NXOpen.Assemblies.ComponentAssemblyinline
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.